echo on
clc
%	This demo introduces some of the basic matrix computational
%	tools that are available in MATLAB.

%	To enter a matrix, spaces are put between the elements and
%	semicolons are used to separate the rows. Brackets are placed
%	around the data. For example, to enter a 3-by-3 matrix A, type:

A = [1 2 3;4 5 6;7 8 0]		% which results in:
pause % Strike any key to continue.
clc
%	We can run through some basic matrix operations. They are
%	done the same way you might write them on paper. For example
%	our matrix A can be transposed with:

B = A'				% which results in:	
pause % Strike any key to continue.
clc
%	Matrix multiplication is indicated with:

C = A * B			% producing:
pause % Strike any key to continue.
clc
%	A family of functions are available to calculate common
%	matrix properties and factorizations:

%	determinant

det(A)
pause % Strike any key to continue.
clc
%	rank

rank(A)
pause % Strike any key to continue.
clc
%	condition number

cond(A)
pause % Strike any key to continue.
clc
%	matrix inverse

inv(A)
pause % Strike any key to continue.
clc
%	eigenvalues

eig(A)
pause % Strike any key to continue.
clc
%	We can obtain eigenvectors as well as eigenvalues if we use two
%	arguments on the left hand side:

[v,d] = eig(A)
pause % Strike any key to continue.
clc
%	singular value decomposition

svd(A)
pause % Strike any key to continue.
clc
%	matrix exponential

expm(A)
pause % Strike any key to continue.
clc
%	The characteristic polynomial

p = poly(A)
%	The elements of this vector represent the polynomial
%	coefficients in descending powers.

pause % Strike any key to continue.
clc
%	The roots of this polynomial are, of course, the eigenvalues of A:

roots(p)
eig(A)
pause % Strike any key to continue.
clc
